VFS_MOUNTEDFROM(9)

NAME
vfs_mountedfrom - sets the mounted from name for a mount

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
void
vfs_mountedfrom(struct mount *mp, const char *from);

DESCRIPTION
The vfs_mountedfrom() function sets the mounted from name for a mount. This value is used by statfs(2) to fill in f_mntfromname.

In most cases from is the device that contains the file system, but in the case of a pseudo file system it could be a descriptive name like "devfs" or "procfs".

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.